Bug 647134 - yum does not honour timeout=x for mirrorlists
yum does not honour timeout=x for mirrorlists
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.4
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
: ZStream
: 709984 (view as bug list)
Depends On:
Blocks: 712127 715351
  Show dependency treegraph
 
Reported: 2010-10-27 06:29 EDT by Vishal Gaikwad
Modified: 2014-01-21 01:19 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.2.22-35.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 715351 (view as bug list)
Environment:
Last Closed: 2011-07-21 07:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vishal Gaikwad 2010-10-27 06:29:19 EDT
Description of problem:
yum fails to take into account the timeout=x value when using mirrorlists. yum will attempt to conect to a mirrorlist taking some 3 minutes before it decides it cannot conect. If we use baseurl this hnours the timeout parameter. 

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 5.4

How reproducible:
Always

Steps to Reproduce:
I added this in /etc/yum.repos.d/rhel.repo

[test]
name=test
mirrorlist=http://10.xx.xx.xx/mirrolist
enabled=1


then I set the iptables rule on this machine and run "yum update". 

If the rule is 
iptables -I OUTPUT 1 -p tcp --dport 80  -j DROP

yum will timeout after 3 mins.

If the rule is
iptables -I OUTPUT 1 -p tcp --dport 80  -j REJECT

yum will timeout almost immediately. Same thing if the file is not there, permissions denied etc.
  
Actual results:
yum will timeout after 3 mins,

Expected results:
yum should timeout as per the timeout parameter

Additional info:
Comment 7 James Antill 2011-01-18 09:19:19 EST
 Pretty sure this is the commit, that fixes it:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=7cdcde9ffb03d66b202b6068ed90b370abe94a45


...however also note that we have:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=841bd2dec6baeee45732582f7f489b0e4d5dc2f9

...which is much more recent, for downloading gpgkeys.
Comment 22 James Antill 2011-06-02 13:07:27 EDT
*** Bug 709984 has been marked as a duplicate of this bug. ***
Comment 40 errata-xmlrpc 2011-07-21 07:23:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1060.html

Note You need to log in before you can comment on or make changes to this bug.